# Welcome to Fleet

## Introduction

The Fleet handbook is the central guide for how we run the company. As part of our value of [being transparent](./company.md#openness), the handbook is open to the world. We welcome feedback, and [contributions](./handbook.md#contributing-to-the-handbook), so please click to edit and suggest improvements throughout these pages.

### 🔭 Company

[About Fleet](./company.md#about-fleet)

[Culture](./company.md#culture)

[Values](./company.md#values)

[Why this way?](./company.md#why-this-way)

[History](./company.md#history)

[Slack channels](./company.md#slack-channels)


### ⛑ Security

[How we protect end-user devices](./security.md#how-we-protect-end-user-devices)

[Hardware security keys](./security.md#hardware-security-keys)

[GitHub Security](./security.md#git-hub-security)

[Google Workspace security](./security.md#google-workspace-security)

[Vulnerability management in Fleet](./security.md#vulnerability-management)

### 💓 Brand

[Communicating as Fleet](./brand.md#communicating-as-fleet)

[Voice and tone guidelines](./brand.md#voice-and-grammar-guidelines)

[Brand resources](./brand.md#brand-resources)

[Email blasts](./brand.md#email-blasts)

[Fleet website](./brand.md#website)

### 🪂 Community

[Communities](./community.md#communities)

[Fleet docs](./community.md#fleet-docs)

[Community contributions (pull requests)](./community.md#community-contributions-pull-requests)

[Fleet swag](./community.md#fleet-swag)

### 🚀 Engineering

[Release process](./engineering.md#release-process)
[On-call rotation](./community.md#On-call-rotation) 

### ⚗️ Product

[Objectives and key results](./product.md#Objectives-and-key-results)

[Product design process](./product.md#product-design-process)

[Product quality](./product.md#product-quality)

[UI design](./product.md#ui-design)

[Release](./product.md#release)

[Feature flags](./product.md#feature-flags)

[Competition](./product.md#competition)

### 🪴 Growth

[Posting on social media as Fleet](./growth.md#posting-on-social-media-as-fleet)

[Promoting blog posts on social media](./growth.md#promoting-blog-posts-on-social-media)

[Press releases](./growth.md#press-releases)

[Sponsoring events](./growth.md#sponsoring-events)

### 🎈 Customers

[Customer succcess](./customers.md#customer-success)

[Support process](./customers.md#support-process)

[Runbook](./customers.md#runbook)

[Incident postmortems](./customers.md#incident-postmortems)

[Customer codenames](./customers.md#customer-codenames)

[Generating a trial license key](./customers.md#generating-a-trial-license-key)

### 🧑‍🚀 People

[Directly responsible individuals](./people.md#directly-resonsible-individuals)

[Spending company money](./people.md#spending-company-money)

[Paid time off](./people.md#paid-time-off)

[Meetings](./people.md#meetings)

[People ops](./people.md#people-ops)

[Rituals](./people.md#rituals)

[Workiversaries](./people.md#workiversaries)

### Handbook

<!-- TODO: Merge this section into the main "Brand" page -->

[About the handbook](./handbook.md#about-the-handbook)

[Handbook style guide](./handbook.md#handbook-style-guide)

[Contributing to the handbook](./handbook.md#contributing-to-the-handbook)


<meta name="maintainedBy" value="mikermcneil">


