# People

## Directly responsible individuals

At Fleet we use the concept of directly responsible individuals (**DRI**s), a person who is singularly responsible for a given aspect of the open source project, the product, or the company.

This person is responsible for accomplishing goals and making decisions about a particular element of Fleet.

DRIs help us collaborate efficiently by knowing exactly who is responsible and can make decisions about the work they're doing.

|    Aspect              										| DRI     		|
| ----------------------------------------------------| ------------ |
| Wireframes (Figma)| Noah Talerman	|
| How the product works | Noah Talerman |
| fleetctl CLI interface (and other tools) | Tomás Touceda |
| REST API interface design | Luke Heath |
| [REST API docs](https://fleetdm.com/docs/using-fleet/rest-api) | Luke Heath | 
| Postman | Luke Heath |
| Terraform | Ben Edwards |
| Customer PoV deployments like acme.fleetdm.com | Ben Edwards |
| dogfood.fleetdm.com | Ben Edwards |
| Quality of core product UI | Luke Heath |
| Ticket movement from product to engineering | Luke Heath |
| Lead engineering standup and sprint planning | Zach Wasserman* |
| Customer Slack channels | Tony Gauda |
| Customer renewals | Tony Gauda |
| Quality of core product backend | Tomás Touceda |
| Quality of fleetctl (and other tools) | Tomás Touceda |
| Final cut of what goes into each release | Zach Wasserman |
| When we cut a release, version numbers, and whether to release | Zach Wasserman |
| Release notes | Noah Talerman |
| Documentation quality | Mike Thomas |
| Publishing release blog post, and promoting releases | Mike Thomas |
| fleetdm.com | Mike Thomas |
| Self-service Fleet Premium license dispenser | Mike Thomas |

*Luke Heath is backup 

>You can read more about directly responsible individuals in [GitLab's handbook](https://about.gitlab.com/handbook/people-group/directly-responsible-individuals/)

## Spending company money
As we continue to expand our company policies, we use [GitLab's open expense policy](https://about.gitlab.com/handbook/spending-company-money/) as a guide for company spending.

In brief, this means that as a Fleet team member, you may:

* Spend company money like it is your own money.
* Be responsible for what you need to purchase or expense in order to do your job effectively.
* Feel free to make purchases __in the company interest__ without asking for permission beforehand (when in doubt, do __inform__ your manager prior to purchase or as soon as possible after the purchase).

For more developed thoughts about __spending guidelines and limits__, please read [GitLab's open expense policy](https://about.gitlab.com/handbook/spending-company-money/).

### Reimbursements

We provide all of our team members with Brex cards for making purchases for the company. If a team member pays for work-related expenses with their personal funds, Fleet will reimburse them.

Team members can request reimbursement through [Gusto](https://app.gusto.com/expenses) if they're in the US or [Pilot](https://pilot.co/) if they are an international team member. When submitting an expense report, team members need to provide the receipt, and a description of the expense.

Operations will review the expense and reach out to the team member if they have any questions. When an expense is approved, the reimbursement will be added to the team member's next payroll.

>Pilot handles reimbursements differently depending on if the international team member is classified as an employee or a contractor. If the reimbursement is for a contractor, Operations will need to add the expense reimbursement to an upcoming recurring payment or schedule the reimbursement as an off-cycle payment. If the reimbursement is for an employee, no other action is needed; Pilot will add the reimbursement to the team member's next payroll. 

### Purchasing a company-issued device

Fleet provides laptops for team members to use while working at Fleet. As soon as an offer is accepted, `eashaw` will reach out to the new team member to start this process. `Eashaw` will work with the new team member to get their laptop purchased and shipped to them.

Most of the team at Fleet use 16" MacBook Pros, but team members are free to choose any laptop or operating system that works for them, as long as the price [is within reason](#spending-company-money).

When selecting your new laptop, we ask that you optimize your configuration to have a large hard drive and be available for delivery or pickup quickly, without waiting for customization.

When a device has been purchased, it's added to the [spreadsheet of company equipment](https://docs.google.com/spreadsheets/d/1hFlymLlRWIaWeVh14IRz03yE-ytBLfUaqVz0VVmmoGI/edit#gid=0) where we keep track of devices and equipment purchased by Fleet. When the team member receives their computer, they will complete the entry by adding a description, model, and serial number to the spreadsheet.

## Paid time off

What matters most is your results, which are driven by your focus, your availability to collaborate, and the time and consideration you put into your work.

Fleet offers all team members unlimited time off. Whether you're sick, you want to take a trip, you are eager for some time to relax, or you need to get some chores done around the house, any reason is a good reason.

For team members working in jurisdictions that require certain mandatory sick leave or PTO policies, Fleet complies to the extent required by law.

### Taking time off

When you take any time off, you should follow this process:
- Let your manager and team know as soon as possible. (e.g., post a message in your team's Slack channel)
- Find someone to cover anything that needs covering while you're out. (i.e., meetings, planned tasks, unfinished business, important Slack/email threads, anything where someone might be depending on you)
- Mark an all-day "out of office" event in Google Calendar for the day(s) you're taking off.

This process is the same for any days you take off, regardless of whether it's a holiday or you just need a break.
   
### Holidays

At Fleet, we have team members with various employment classifications in many different countries worldwide. Fleet is a US company, but we think you should choose the days you want to work and what days you are on holiday, rather than being locked into any particular nation or culture's expectation about when you should take time off.

When a team member joins Fleet, they pick one of the following holiday schedules:

 - **Traditional**: Based on the country where you work. Non-US team members should let their managers know the dates of national holidays.

 **Or**

 - **Freestyle**: No set schedule, start with no holidays and add the days that are holidays to you.

Either way, it's up to you to ensure that your responsibilities are covered and your team knows that you're out of the office.

### New parent leave

Fleet gives new parents six weeks paid leave. After six weeks, if you don't feel ready to return yet, we'll set up a quick call to discuss and work together to come up with a plan to help you return to work gradually or when you're ready.

## Meetings

* At Fleet, meetings start whether you're there or not. Nevertheless, being even a few minutes late can make a big difference and slow your meeting counterparts down. When in doubt, show up a couple of minutes early.
* It's okay to spend the first minute or two of a meeting to be present and make small talk if you want.  Being all-remote, it's easy to miss out on hallway chatter and human connections that happen in [meatspace](https://www.dictionary.com/browse/meatspace).  Use this time together during the first minute to say "hi"?  Then you can jump into the topics being discussed.
* Turning on your camera allows for more complete and intuitive verbal and non-verbal communication. Feel free to leave your camera on or to turn it off when joining meetings with new participants who you might not be familiar with yet.  turn your camera on when you lead or cohost a meeting.
* In an all remote company, “face time” matters. Remember: even if someone’s calendar is open, they have other work to do. Limiting (or batching up) internal meetings can enable longer, uninterrupted stretches of deep work.

### Internal meeting scheduling

Use the Google Calendar [find a meeting
time](https://support.google.com/calendar/answer/37161?hl=en&co=GENIE.Platform%3DDesktop#zippy=%2Cfind-a-meeting-time)
feature to coordinate meetings with Fleet team members. Enter the `@fleetdm.com` emails for each
participant into the "Meet with..." box in Google Calendar, and the calendar availability for each
participant will appear in your view. Then, when you select a meeting time, those participants will
automatically be invited, and a video conference will be attached to the invite.

Please prefer this strategy over negotiating meeting times via chat -- This can save a lot of
communication overhead, especially when scheduling with multiple participants.

It is important to [set your working
hours](https://support.google.com/calendar/answer/7638168?hl=en&co=GENIE.Platform%3DDesktop) in
Google Calendar and block out any personal time/events/PTO, so that team members do not inadvertently
schedule a time when you are not available. Many team members use the free tier of
[reclaim.ai](https://reclaim.ai/) to synchronize personal event times (without event details) into
their work calendars. It is also common practice to block out time for focused work.

#### Modifying an event organized by someone else

To edit an event where someone else at Fleet is the organizer, you can first subscribe to their calendar in Google Calendar, then edit the event on their calendar.  Your edits will automatically apply for all attendees.

> This works because every fleetie grants edit access to everyone else at Fleet as part of onboarding.

### External meeting scheduling

When scheduling external meetings, provide external participants with a
[Calendly](https://calendly.com) link to schedule with the relevant internal participants. If you
need a Calendly account, reach out to `@eashaw` via Slack.

### Zoom

We use [Zoom](https://zoom.us) for virtual meetings at Fleet, and it is important that every team member feels comfortable hosting, joining, and scheduling Zoom meetings.

Zoom settings are configured to be the same for all Fleet team members by default, but you can change your personal settings on your [profile settings](https://zoom.us/profile/setting) page. 

Settings that have a lock icon next to them have been locked by an administrator and cannot be changed. Zoom administrators can change settings for all team members on the [account settings page](https://zoom.us/account/setting) or for individual accounts on the [user management page](https://zoom.us/account/user#/).

#### Scheduling a Zoom meeting

We use the Zoom add-on for Google Calendar to schedule Zoom meetings when we create calendar events. To add a Zoom meeting to a calendar event, click the "Add video conferencing" dropdown and select "Zoom Meeting." Google Calendar will automatically add the Zoom meeting details and instructions to join the event.

Our Zoom meetings are configured to let participants join before the host starts the meeting. We do this to ensure meetings start on time, even if the host isn't there.

## Slack

At Fleet, we do not send internal emails to each other. Instead, we prefer to use Slack to communicate with other folks who work at Fleet.

We use threads in Slack as much as possible. Threads help limit noise for other people following the channel and reduce notification overload.

We configure our working hours in Slack to ensure everyone knows when they can get in touch with others.

### Slack channel prefixes

We have specific channels for various topics, but we also have more general channels for the teams at Fleet.

We use these prefixes to organize the Fleet Slack:
 * ***g-***: for team/group channels. *(Note: "g-" is short for "grupo")*
 * ***oooh-***: used to discuss and share interesting information about a topic.
 * ***help-***: for asking for help on specific topics.
 * ***at*** or ***fleet-at***: for customer channels.

## People ops

### Performance feedback
At Fleet, performance feedback is a continuous process. We give feedback (especially negative) as soon as possible. Most feedback will happen during 1:1 meetings, if not sooner.

We evaluate and update compensation decisions yearly, shortly after the anniversary of a team member's start date.

### Hiring a new team member

1. Reach out to Mike and Zach and give them an opportunity to meet the candidate.

2. Research compensation using [Pave](https://www.pave.com), making sure to adjust for the cost of living where the candidate will do the work. *If you're unsure of your findings, ask for help from Mike.*

3. Share the compensation information you've gathered with Eric. Eric will confirm the information with Mike and document this decision in the [compensation decisions document](https://docs.google.com/document/d/1NQ-IjcOTbyFluCWqsFLMfP4SvnopoXDcX0civ-STS5c/edit) for future reference.

4. After compensation has been determined, create two documents for the candidate:

   - [Exit scenarios (template)](https://docs.google.com/spreadsheets/d/1k2TzsFYR0QxlD-KGPxuhuvvlJMrCvLPo2z8s8oGChT0/copy)
   - [Informal offer email (template)](https://docs.google.com/document/d/1zpNN2LWzAj-dVBC8iOg9jLurNlSe7XWKU69j7ntWtbY/copy).

   Change the name of the documents accordingly (e.g., "[candidate's name]'s a copy of exit scenarios") and link to the exit scenarios spreadsheet from the offer email.

5. Prepare the informal offer email. You'll need to add the following information to the template: 
   - Candidate's name and email address
   - Candidate's start date
   - Candidate's compensation
   - Candidate's reporting manager
   - Equity offered to the candidate (make this information a link to the candidate's exit scenarios spreadsheet)
   - Benefits (determined by the candidate's location)

6. Prepare the exit scenarios spreadsheet. Enter the number of shares offered to the candidate, and the spreadsheet will update to reflect this. 
   
   >**_Note:_** *Don't play with numbers in the exit scenarios spreadsheet. The revision history is visible to the candidate, and they might misunderstand.*

7. Once both documents are complete, share the offer email draft, exit scenarios copy, and a link to the compensation decision, with Eric for confirmation.

8. After Eric confirms that everything is correct, Mike or Zach will send the offer email. The offer email is copied directly from Google drive and sent to the candidate. When they send the offer, Mike or Zach will edit the permissions of the exit scenarios sheet and share with the candidate.

   >**_Note:_** *When hiring an international employee, Pilot.co recommends starting the hiring process a month before the new employee's start date.*

### Steps after an offer is accepted

1. Once an offer is accepted in writing, reply to the candidate, CCing Eric via his Fleet email address to introduce the candidate to him.

2. Eric creates a [hiring issue](https://github.com/fleetdm/confidential/blob/main/.github/ISSUE_TEMPLATE/hiring.md) for the new team member in the [fleetdm/confidential](https://github.com/fleetdm/confidential/issues) repo. Eric will use this issue to keep track of the hiring tasks for the new team member.

3. Eric reaches out to the new team member via email to get any information he will need to prepare an agreement and add them to our payroll system.

   - **For US team members**: Eric will send the new team member's agreement through [Docusign](https://www.docusign.com/).
  After signing and storing an in the correct Google Drive folder, Eric will invite the new team member to onboard in [Gusto](https://www.gusto.com/). Eric will reach out to them if the new team member is a W-2 employee and schedule an I-9 verification meeting.

   >*If we're hiring in a new state, we'll have to register for state taxes and unemployment. This process can usually be handled by Gusto.*

   - **For international team members:** Eric enters the new team member's information into [Pilot](https://pilot.co/) to kick off their hiring process. Pilot creates an agreement for the new team member, and Eric reviews it to make sure that everything looks correct. After Eric confirms the information about the new hire Pilot invites the new team member to enter the rest of their information and informs Eric via email when the agreement has been signed.


4. **As soon as we have a signed agreement with a new team member:** Eric reaches out to the new team member to provide them with a [work device](#purchasing-a-company-issued-device) and a pair of [YubiKeys](./security.md#hardware-security-keys). The new team member will be asked to send Eric a screenshot or link to their preferred device and configuration. Eric orders their device and Yubikeys using his Brex card and has them shipped directly to the new team member.

   >*If the new team member is in the US and requests a MacBook, It will be purchased using our Apple business account. MacBooks purchased with this account will ship pre-configured and will be enrolled in our MDM.*

5. **Two weeks before their first day at Fleet:** Eric creates a [Google Workspace account](https://admin.google.com/ac/users) for the new team member and invites them to join the [FleetDM](https://github.com/fleetdm) GitHub organization. 

   When the new team member's work email is active, Eric will send invitations to join Fleet's Slack and to create Fleet managed 1Password and Zoom accounts with their Fleet email. Eric sends the sign-in instructions to the new team member, accompanied by a brief explanation of the invitations sent.

6. **Before a new team member's first day:** Eric creates an onboarding issue in the [fleetdm/confidential](https://github.com/fleetdm/confidential/issues) GitHub repo for the new team member. Before creating the issue, Eric will go through it and comment on any steps that the new team member will not have to complete.

### Team member onboarding

It's important that every team member at Fleet takes the time to get fully trained and onboarded. 

When a new team member joins Fleet, we create an onboarding issue for them in the [fleetdm/confidential](https://github.com/fleetdm/confidential) repo using this [issue template](https://github.com/fleetdm/confidential/blob/main/.github/ISSUE_TEMPLATE/onboarding.md). 

We want to make sure that the new team member will be able to complete every task in their issue. To make sure the new team member is successful in their onboarding, we customize their issue by commenting on any tasks they won't need to complete.

We believe onboarding and training should be taken seriously, and that the onboarding template is an essential source of truth and a good use of time for every single new hire. If managers see a step that they don't feel is necessary, they should make a pull request to the [onboarding template](https://github.com/fleetdm/confidential/blob/main/.github/ISSUE_TEMPLATE/onboarding.md) and request a review from People operations.

#### Contributor experience training

During their first week at Fleet, new team members are asked to schedule a contributor experience training call with People operations. During this call, the new team member will share their screen, and People operations will:

- make sure emails are going to get seen and responded to quickly.
- make sure Slack messages are going to get seen and responded to quickly.
- Make sure you know where your issues are tracked, which kanban board you use, what the columns mean.
- Make sure you can succeed with submitting a PR with the github web editor, modifying docs or handbook, and working with markdown.
- talk about Google calendar.
- give you a quick tour of the Fleet Google drive folder.

#### Sightseeing Tour

During their onboarding at Fleet, new team members are asked to schedule a sightseeing tour call with People operations. During this call, the new team member will participate in an interactive tour that includes:

- GitHub issues: the living bloodstream of the company.
- Kanban boards: the bulletin board of quests you can get, and how you update status and let folks know things are done.
- Google Calendar: the future.
- Gmail: like any mailbox; full of junk mail, plus some important things, so it is important to check carefully.
- Salesforce: the Rolodex.
- Google Docs: the archives.
- Slack:
  - The "office" (#g-, #general).
  - The walkie talkies (DMs).
  - The watering hole (#oooh-, #random, #news, #help-).

### Onboarding a new advisor.

Advisor agreements are sent through [DocuSign](https://www.docusign.com/), using the "Advisor Agreement"
template. To send a new advisor agreement, you'll need the new advisor's name and the number of shares they
are offered. 

Once the agreement is sent, add a new row to the [advisory board spreadsheet](https://docs.google.com/spreadsheets/d/15knBE2-PrQ1Ad-QcIk0mxCN-xFsATKK9hcifqrm0qFQ/edit#gid=1803674483) and enter the new advisor's information. Use this spreadsheet to track the advisor's progress through the onboarding process.

   >**_Note:_** *Be sure to mark any columns that haven't been completed yet as "TODO"*

When the agreement is completed, make sure it is in the correct Google Drive folder, and ask the new
advisor to add us on [Linkedin](https://www.linkedin.com/company/71111416), [Crunchbase](https://www.crunchbase.com/organization/fleet-device-management) and [Angellist](https://angel.co/company/fleetdm).

### Zapier and DocuSign

We use Zapier to automate how completed DocuSign envelopes are formatted and stored. This process ensures we store signed documents in the correct folder and that filenames are formatted consistently. 

When the final signature is added to an envelope in Docusign, it is marked as completed and sent to Zapier, where it goes through these steps:

1. Zapier sends the following information about the DocuSign envelope to our Hydroplane webhook:
   - **`emailSubject`** - The subject of the envelope sent by DocuSign. Our DocuSign templates are configured to format the email subject as `[type of document] for [signer's name]`.
   - **`emailCsv`** - A comma-separated list of signers' email addresses.

2. The Hydroplane webhook matches the document type to the correct Google Drive folder, orders the list of signers, creates a timestamp, and sends that data back to Zapier as:
   - **`destinationFolderID`** - The slug for the Google Drive folder where we store this type of document.
   - **`emailCsv`** - A sorted list of signers' email addresses.
   - **`date`** - The date that the document was completed in DocuSign, formatted YYYY-MM-DD.

3. Zapier uses this information to upload the file to the matched Google Drive folder, with the filename formatted as `[date] - [emailSubject] - [emailCvs].PDF`.

4. Once the file is uploaded, Zapier uses the Slack integration to post in the #peepops channel with the message:
   ```
   Now complete with all signatures:
      [email subject]
      link: drive.google.com/[destinationFolderID]
   ```

## Rituals

### OKR Planning

OKRs help inform what to prioritize, and communicate company goals while encouraging cross team collaboration.

At the end of the quarter, and at key points throughout the quarter (every 3 weeks), we review the status of each OKR (depending on the KR, either 100% or ≥70% completion is considered "success")

- Review topdown and departmental OKRs as they are turned in.
- OKRs they are finalized 1 week from when topdown OKRs were initially reviewed.
- Finalized OKRs are shared company-wide and at "all hands" and, at least to some degree, become public.

## Workiversaries

We're happy you've ventured a trip around the sun with Fleet. Let's celebrate!

- Each Friday, if there are any upcoming workiversaries in the next 7 days, People Operations posts about them in #g-people and tags @mikermcneil to let them know.

## Slack channels

Please see [Brand > Slack channels](https://fleetdm.com/handbook/brand#slack-channels).


<meta name="maintainedBy" value="eashaw">
